<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("C")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."personal_page/locale/".$settings['locale'].".php")) {
        // Load the locale file matching the current site locale setting.
        include INFUSIONS."personal_page/locale/".$settings['locale'].".php";
} else {
        // Load the infusion's default locale file.
        include INFUSIONS."personal_page/locale/English.php";
}

// Infusion Information
$inf_title = 'personal_page';
$inf_description = 'personal_page';
$inf_version = "3.3";
$inf_developer = "Bayram";
$inf_email = "amarat@amarat.org";
$inf_weburl = "http://amarat.org";

$inf_folder = "personal_page"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "personal_page_admin.php"; // The admin panel filename if required.

$inf_link_name = "personal_page"; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "ppages.php"; // The filename you wish to link to.
$inf_link_visibility = "101"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 19; // Number of new db tables to create or drop.
$inf_insertdbrows = 9; // Numbers rows added into created db tables.
$inf_altertables = 2; // Number of db tables to alter (upgrade).
$inf_deldbrows = 16; // Number of db tables to delete data from.

// Delete any items not required here.

$inf_newtable_[1] = "ppage (
                `user_id` smallint(5) NOT NULL default '0',
    `page_title` varchar(60) NOT NULL default '',
    `page_body` text NOT NULL,
    `allowbbcode` tinyint(1) NOT NULL default '0',
    `allowsmilies` tinyint(1) NOT NULL default '0',
    `dismember` tinyint(1) NOT NULL default '0',
    `page_cat` smallint(5) unsigned NOT NULL default '0',
    `page_count` smallint(5) unsigned NOT NULL default '0',
    `approve` tinyint(1) NOT NULL default '0',
    `smilies_user` tinyint(1) NOT NULL default '0',
    `bbcode_user` tinyint(1) NOT NULL default '0',
    `disgbook` tinyint(1) NOT NULL default '0',
    `date_added` int(10) unsigned NOT NULL default '0',
  `item_bbcode` tinyint(1) NOT NULL default '0',
  `item_color` tinyint(1) NOT NULL default '0',
  `item_smilieys` tinyint(1) NOT NULL default '0'

                        ) TYPE=MyISAM;";

$inf_newtable_[2] = "ppage_set (
                `allowbbcode` tinyint(1) NOT NULL default '1',
    `allowsmilies` tinyint(1) NOT NULL default '1',
    `ppage_access` tinyint(3) unsigned NOT NULL default '101',
    `autoapprove` tinyint(1) NOT NULL default '1',
    `max_images` char(2) NOT NULL default '5',
    `max_image_size` varchar(7) NOT NULL default '20480',
    `rules` text NOT NULL,
    `allowrate` tinyint(1) NOT NULL default '1',
    `groups_rights` text NOT NULL,
    `all_groups` tinyint(1) NOT NULL default '0',
    `allowgb` tinyint(1) NOT NULL default '1',
    `uploadm` tinyint(1) NOT NULL default '0',
    `useftp` tinyint(1) NOT NULL default '0',
    `ftpuser` varchar(60) NOT NULL default '',
    `ftppass` varchar(60) NOT NULL default '',
    `ftpserver` varchar(100) NOT NULL default '',
    `shopable` tinyint(1) NOT NULL default '0'
                        ) TYPE=MyISAM;";

$rules = ". No blatant advertising.\r\n. No warez, cracks, serials or illegally obtained copyrighted content\r\n. Use a title that describes the content of your page. Don&#39;t use all caps or special characters to draw attention.\r\n. [color=red]Porn content are prohibited.[/color]";

$inf_insertdbrow_[1] = "ppage_set VALUES (1, 1, 101, 0, 5, 20480, '".$rules."', 1, '', '0', '1', '0', '0', '', '', '', '0');";

$inf_newtable_[3] = "ppage_cats (
                `ppage_cat_id` smallint(5) unsigned NOT NULL auto_increment,
  `ppage_cat_name` varchar(100) NOT NULL default '',
  `ppage_cat_description` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`ppage_cat_id`)
                        ) TYPE=MyISAM  AUTO_INCREMENT=1;";

$inf_newtable_[4] = "ppage_faq (
                `ppage_faq_id` smallint(5) unsigned NOT NULL auto_increment,
  `ppage_faq_question` varchar(200) NOT NULL default '',
  `ppage_faq_answer` text NOT NULL,
  PRIMARY KEY  (`ppage_faq_id`)
                        ) TYPE=MyISAM  AUTO_INCREMENT=1;";

$inf_newtable_[5] = "ppage_template (
        `template_id` smallint(5) NOT NULL auto_increment,
  `template_name` varchar(60) NOT NULL default '',
  `template_body` text NOT NULL,
  PRIMARY KEY  (`template_id`)
                        ) TYPE=MyISAM  AUTO_INCREMENT=1;";

$inf_newtable_[6] = "ppage_comments (
        `comment_id` smallint(5) unsigned NOT NULL auto_increment,
  `comment_item_id` smallint(5) unsigned NOT NULL default '0',
  `comment_type` char(1) NOT NULL default '',
  `comment_name` varchar(50) NOT NULL default '',
  `comment_message` text NOT NULL,
  `comment_datestamp` int(10) unsigned NOT NULL default '0',
  `comment_ip` varchar(20) NOT NULL default '0.0.0.0',
  PRIMARY KEY  (`comment_id`)
                        ) TYPE=MyISAM  AUTO_INCREMENT=1;";

$result1 = dbquery("SELECT * FROM ".$db_prefix."panels WHERE panel_side='1' ORDER BY panel_order DESC LIMIT 1");
                        if (dbrows($result1) != 0) { $data1 = dbarray($result1); $neworder1 = $data1['panel_order'] + 1; } else { $neworder1 = 1; }
$result2 = dbquery("SELECT * FROM ".$db_prefix."panels WHERE panel_side='2' ORDER BY panel_order DESC LIMIT 1");
                        if (dbrows($result2) != 0) { $data2 = dbarray($result2); $neworder2 = $data2['panel_order'] + 1; } else { $neworder2 = 1; }
$neworder3 = $neworder1 + 1;
$neworder4 = $neworder3 + 1;
$inf_insertdbrow_[2] = "panels VALUES ('', 'Personal Page Center', 'personal_page_center_panel', '', 2, ".$neworder2.", 'file', 0, 0);";
$inf_insertdbrow_[3] = "panels VALUES ('', 'Personal Page Side', 'personal_page_side_panel', '', 1, ".$neworder1.", 'file', 0, 0);";
$inf_insertdbrow_[4] = "panels VALUES ('', 'Personal Page Info', 'personal_page_info_panel', '', 1, ".$neworder3.", 'file', 0, 0);";

$inf_newtable_[7] = "ppage_images (
        `image_id` int(4) NOT NULL auto_increment,
  `user_id` int(4) NOT NULL default '0',
  `bin_data` longblob NOT NULL,
  `imagename` varchar(50) NOT NULL default '',
  `imagesize` varchar(50) NOT NULL default '',
  `imagetype` varchar(50) NOT NULL default '',
  `image_hieght` varchar(6) NOT NULL default '',
  `image_width` varchar(6) NOT NULL default '',
  PRIMARY KEY  (`image_id`)
                        ) TYPE=MyISAM  AUTO_INCREMENT=1;";

$inf_insertdbrow_[5] = "panels VALUES ('', 'Personal Page Latest', 'personal_page_latest_panel', '', 1, ".$neworder4.", 'file', 0, 0);";

$inf_newtable_[8] = "ppage_items (
        `item_title` varchar(100) NOT NULL default '',
  `item_name` varchar(50) NOT NULL default '',
  `item_caption` varchar(200) NOT NULL default '',
  `item_points` varchar(6) NOT NULL default '',
  `item_visable` tinyint(1) NOT NULL default '0'
                        ) TYPE=MyISAM;";

$inf_insertdbrow_[6] = "ppage_items VALUES ('BBCode feature', 'item_bbcode', 'Dieses Feature erlaubt dir mehr Effekte wie Fettschrift, kursive Schrift und andere Effekte zu benutzen.', '6', 0);";
$inf_insertdbrow_[7] = "ppage_items VALUES ('Color feature', 'item_color', 'Dieses Feature erlaubt dir deinen Text farbig zu gestalten.', '7', 0);";
$inf_insertdbrow_[8] = "ppage_items VALUES ('Smilieys feature', 'item_smilieys', 'Dieses Feature erlaubt dir Smilies auf deiner Seite zu benutzen.', '1', 0);";

$inf_newtable_[9] = "ppage_points (
        `thread_points` tinyint(6) NOT NULL default '0',
  `post_points` tinyint(6) NOT NULL default '0'
                        ) TYPE=MyISAM;";

$inf_insertdbrow_[9] = "ppage_points VALUES (5, 2);";

$inf_newtable_[10] = "ppage_transaction (
        `trans_id` int(6) NOT NULL auto_increment,
  `trans_type` tinyint(1) NOT NULL default '0',
  `user_id` varchar(6) NOT NULL default '',
  `trans_amount` varchar(6) NOT NULL default '0',
  `trans_date` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`trans_id`)
                        ) TYPE=MyISAM  AUTO_INCREMENT=1;";

// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_droptable_[1] = "ppage";
$inf_droptable_[2] = "ppage_set";
$inf_droptable_[3] = "ppage_cats";
$inf_droptable_[4] = "DELETE FROM ".$db_prefix."ratings WHERE rating_type='S'";
$inf_droptable_[5] = "DELETE FROM ".$db_prefix."site_links WHERE link_name='".INFUSIONS."personal_page/ppages.php'";
$inf_droptable_[6] = "ppage_faq";
$inf_droptable_[7] = "ppage_template";
$inf_droptable_[8] = "ppage_comments";
$inf_droptable_[9] = "DELETE FROM ".$db_prefix."panels WHERE panel_filename='personal_page_center_panel'";
$inf_droptable_[10] = "DELETE FROM ".$db_prefix."panels WHERE panel_filename='personal_page_side_panel'";
$inf_droptable_[11] = "DELETE FROM ".$db_prefix."panels WHERE panel_filename='personal_page_info_panel'";
$inf_droptable_[12] = "ppage_images";
$inf_droptable_[13] = "DELETE FROM ".$db_prefix."panels WHERE panel_filename='personal_page_latest_panel'";
$inf_droptable_[14] = "ppage_items";
$inf_droptable_[15] = "ppage_points";
$inf_droptable_[16] = "ppage_transaction";

// If infusion is a newer version alter tables.

$inf_altertable_[1] = "ALTER TABLE ".$db_prefix."ppage_set ADD `shopable` TINYINT(1) default '0' NOT NULL ";
$inf_altertable_[2] = "UPDATE ".$db_prefix."ppage SET date_added ='".time()."' WHERE date_added='0' AND approve='2'";


?>